/* ------------------------------ */
/* ----------- Search ----------- */
/* ------------------------------ */

input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
  -webkit-appearance:none;
}

body.search-active {
    overflow: hidden;
}

.shop_search {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;

    opacity: 0;
    visibility: hidden;
    z-index: -1;
}

.search-active .shop_search {
    opacity: 1;
    visibility: visible;
    z-index: 1010;
}

.shop_search__container {
    position: relative;
    height: var(--header-height);
    top: calc(-1 * (var(--header-height) + 1px));
    z-index: 2;
    background-color: var(--color-white);
    -webkit-box-shadow: var(--box-shadow);
            box-shadow: var(--box-shadow);

    -webkit-transition: top var(--transition-2);
    -o-transition: top var(--transition-2);
    transition: top var(--transition-2);
}

.search-active:not(.search-hide) .shop_search__container {
    top: 0;
}

body.admin-bar.search-active:not(.search-hide) .shop_search__container {
    top: 32px;
}

.shop_search__close {
    position: absolute;
    z-index: 10;
    top: 0;
}

.shop_search__close a {
    display: block;
    height: var(--header-height);
    width: 40px;
}

.shop_search__close svg {
    position: absolute;
    top: 50%;
    left: 9px;
    -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
            transform: translateY(-50%);
    width: 19px;
    height: 19px;
}

.shop_search__close svg path {
    fill: var(--color-black);
    stroke: var(--color-black);
    stroke-width: .5px;
}

.search-active .shop_search__backdrop {
    opacity: .6;
    z-index: 1;
    visibility: visible;
}

.search-active.search-hide .shop_search__backdrop {
    opacity: 0;
}

input[type="search"] {
    -webkit-appearance: none;
}

.dgwt-wcas-block-scroll {
    overflow: hidden;
}

.dgwt-wcas-search-wrapp {
    position: relative;
    z-index: 5;
    display: block;
    width: 100%;
}

.dgwt-wcas-search-form {
    margin: 0;
    padding: 0;
    width: 100%;
}

.dgwt-wcas-tpd-image img {
    margin: 0 var(--spacing-4) 0 0 !important;
    display: block;
}

.dgwt-wcas-suggestions-wrapp {
    position: fixed !important;
    width: 100% !important;
    top: var(--header-height) !important;
    left: 0 !important;
    max-height: calc(var(--app-height) - var(--header-height)) !important;
    background: #ffffff;
    border-top: 1px solid var(--color-grey);
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}


.admin-bar .dgwt-wcas-suggestions-wrapp {
    top: calc(var(--header-height) + 32px) !important;
    max-height: calc(var(--app-height) - (var(--header-height) + 32px)) !important;
}

.dgwt-wcas-suggestion, .dgwt-wcas-suggestion-nores {
    position: relative;
    max-width: 100%;
    margin: 0 auto;
    font-size: var(--font-size-copy);
    text-align: left;
}

.dgwt-wcas-suggestion {
    cursor: pointer;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    resize: vertical;
    border-top: 1px solid var(--color-grey);
}

.dgwt-wcas-suggestion:first-child {
    border-top: 0;
}

.dgwt-wcas-suggestion:after {
    clear: both;
    display: block;
    content: "";
}

.dgwt-wcas-suggestion.dgwt-wcas-suggestion-tax {
    -webkit-transition: opacity var(--transition-1);
    -o-transition: opacity var(--transition-1);
    transition: opacity var(--transition-1);
}

.no-touchevents .dgwt-wcas-suggestion:hover .dgwt-wcas-content-wrapp, .no-touchevents .dgwt-wcas-suggestion.dgwt-wcas-suggestion-tax:hover  {
    opacity: var(--opacity-1);
}

.dgwt-wcas-suggestion.dgwt-wcas-suggestion-headline {
    pointer-events: none;
    display: block;
    white-space: nowrap;
    padding-top: var(--spacing-6);
    font-size: var(--font-size-3);
    font-weight: bold;
    color: var(--color-black);
}

.dgwt-wcas-suggestion.dgwt-wcas-suggestion-more {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    padding: var(--spacing-6) var(--spacing-4);
}

.dgwt-wcas-suggestion-nores {
    font-weight: bold;
}

.dgwt-wcas-st {
    display: block;
    padding-right: var(--spacing-4);
    
    -webkit-transition: var(--transition-1);
    -o-transition: var(--transition-1);
    transition: var(--transition-1);
}

.dgwt-wcas-st > span {
    display: inline-block;
    vertical-align: middle;
}

.dgwt-wcas-meta ins {
    display: block;
    text-decoration: unset;
    color: var(--color-ss-camo);
}

.dgwt-wcas-st-breadcrumbs {
    display: none !important;
}

.dgwt-wcas-si {
    width: 66px;
    display: block;
    height: 100%;
}

.dgwt-wcas-content-wrapp {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 100%;
    width: calc(100% - 66px);
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    resize: vertical;
    padding-left: 12px;
    -webkit-transition: var(--transition-1);
    -o-transition: var(--transition-1);
    transition: var(--transition-1);
}

.woocommerce .dgwt-wcas-pd-rating .star-rating {
    float: left;
    margin-right: 5px;
    font-size: 12px;
    color: #ccae72;
}

[type="search"].dgwt-wcas-search-input::-ms-clear {
    display: none;
}

[type="search"].dgwt-wcas-search-input::-webkit-search-decoration {
    -webkit-appearance: none;
}

[type="search"].dgwt-wcas-search-input::-webkit-search-cancel-button {
    display: none;
}

.dgwt-wcas-ico-magnifier {
    bottom: 0;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    height: 65%;
    display: block;
}

.dgwt-wcas-preloader {
    display: none !important;
}

@media all and (max-width: 992px) {
    .dgwt-wcas-is-detail-box .dgwt-wcas-suggestions-wrapp {
        max-width: none;
    }
}

.dgwt-wcas-suggestion strong {
    font-weight: bold;
}

.screen-reader-text {
    clip: rect(1px, 1px, 1px, 1px);
    height: 1px;
    overflow: hidden;
    position: absolute !important;
    width: 1px;
}

.dgwt-wcas-sf-wrapp {
    position: relative;
    zoom: 1;
    width: 100%;
    margin: 0;
    background: 0 0;
}

.dgwt-wcas-sf-wrapp > svg.search {
    position: absolute;
    top: 50%;
    left: 0;
    width: 22px;
    height: 22px;
    -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
            transform: translateY(-50%);
}

.dgwt-wcas-sf-wrapp > svg.search path {
    fill: var(--color-black);
    stroke: var(--color-black);
    stroke-width: 0.5px;
}

.dgwt-wcas-sf-wrapp:after,
.dgwt-wcas-sf-wrapp:before {
    content: "";
    display: table;
}

.dgwt-wcas-sf-wrapp:after {
    clear: both;
}

.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input {
    width: 100%;
    height: var(--header-height);
    background-color: var(--color-white);
    border: 0 !important;
    border-radius: 0 !important;
    -webkit-transition: var(--transition-1);
    -o-transition: var(--transition-1);
    transition: var(--transition-1);
}


/* Placeholder */
.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input::-webkit-input-placeholder {
    color: #999;
    font-weight: 400;
    line-height: normal;
}
.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input::-moz-placeholder {
    color: #999;
    font-weight: 400;
    line-height: normal;
}
.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input:-ms-input-placeholder {
    color: #999;
    font-weight: 400;
    line-height: normal;
}
.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input::-ms-input-placeholder {
    color: #999;
    font-weight: 400;
    line-height: normal;
}
.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input::placeholder {
    color: #999;
    font-weight: 400;
    line-height: normal;
}

.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input::-webkit-input-placeholder {
    color: #999;
    font-weight: 400;
    line-height: normal;
}

.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input:-moz-placeholder {
    color: #999;
    font-weight: 400;
    line-height: normal;
}

.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input::-moz-placeholder {
    color: #999;
    font-weight: 400;
    line-height: normal;
}

.dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input:-ms-input-placeholder {
    color: #999;
    font-weight: 400;
    line-height: normal;
}

.dgwt-wcas-close svg {
    display: none !important;
}

.dgwt-wcas-is-details .dgwt-wcas-suggestions-wrapp {
    overflow: visible;
}

.dgwt-wcas-no-submit .dgwt-wcas-ico-magnifier {
    height: 50%;
    margin: auto;
    max-height: 20px;
    width: 100%;
    max-width: 20px;
    left: 12px;
    right: auto;
    opacity: 0.5;
    fill: var(--color-content);
}

.dgwt-wcas-overlay-mobile-on,
.dgwt-wcas-overlay-mobile-on body {
    overflow: hidden;
    min-width: 100vw;
    min-height: var(--app-height);
}

.dgwt-wcas-om-bar {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 45px;
    width: 100%;
}

.dgwt-wcas-om-bar button.dgwt-wcas-om-return,
.dgwt-wcas-om-bar button.dgwt-wcas-om-return:active,
.dgwt-wcas-om-bar button.dgwt-wcas-om-return:focus,
.no-touchevents .dgwt-wcas-om-bar button.dgwt-wcas-om-return:hover {
    width: 45px;
    height: 100%;
    display: block;
    background: var(--color-background-1);
    cursor: pointer;
    position: relative;
    margin: 0;
    padding: 0;
    -webkit-box-shadow: none;
            box-shadow: none;
    outline: 0;
    border: medium none;
    border-spacing: 0;
    border-radius: 0;
}

.dgwt-wcas-om-bar .dgwt-wcas-om-return svg {
    width: 23px;
    height: 23px;
    position: absolute;
    left: 12px;
    top: 12px;
}

.dgwt-wcas-has-submit .dgwt-wcas-search-submit {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 20px;
    padding: 0;
    border: 0;
    background-color: var(--color-white);
}

.dgwt-wcas-has-submit .dgwt-wcas-search-submit svg.search {
    position: relative;
    width: 20px;
    height: 20px;
    fill: var(--color-black);
    stroke-width: 0.55px;
    stroke: var(--color-black);
}

.dgwt-wcas-om-bar .dgwt-wcas-sf-wrapp button.dgwt-wcas-search-submit {
    display: none;
}

.dgwt-wcas-om-bar .dgwt-wcas-search-wrapp-mobile {
    width: calc(100% - 45px);
    max-width: none;
    margin: 0;
}


/* Mobile */
.dgwt-wcas-overlay-mobile .dgwt-wcas-search-form {
    width: 100%;
}

.dgwt-wcas-overlay-mobile {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    width: 100%;
    background: var(--color-white);
}

.dgwt-wcas-overlay-mobile-on .dgwt-wcas-suggestions-wrapp {
    left: 0 !important;
    width: calc(100% - (var(--spacing-6) * 2)) !important;
    display: block;
    margin-right: var(--spacing-6);
    margin-left: var(--spacing-6);
}

.dgwt-wcas-overlay-mobile-on .dgwt-wcas-suggestion {
    width: 100%;
}

.dgwt-wcas-overlay-mobile-on .dgwt-wcas-enable-mobile-form {
    display: none;
}

.dgwt-wcas-enable-mobile-form {
    position: absolute;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    cursor: pointer;
}

html:not(.dgwt-wcas-overlay-mobile-on) .dgwt-wcas-icon-mobile .dgwt-wcas-search-form {
    display: none;
    position: relative;
}

html:not(.dgwt-wcas-overlay-mobile-on) .dgwt-wcas-search-wrapp.dgwt-wcas-icon-mobile {
    min-width: 0;
    display: inline-block;
    width: 28px;
    height: 28px;
}

html:not(.dgwt-wcas-overlay-mobile-on) .dgwt-wcas-icon-handler {
    height: 100%;
    width: 100%;
}

html:not(.dgwt-wcas-overlay-mobile-on) .dgwt-wcas-icon-handler .dgwt-wcas-ico-magnifier {
    opacity: 1;
    position: static;
    max-width: none;
    max-height: none;
}

.dgwt-wcas-overlay-mobile-on .dgwt-wcas-icon-handler {
    display: none;
}

.dgwt-wcas-overlay-mobile-on.dgwt-wcas-is-ios .dgwt-wcas-suggestions-wrapp {
    height: calc(100% - 45px) !important;
}
.dgwt-wcas-overlay-mobile-on.dgwt-wcas-is-ios {
    overflow: visible;
}
.dgwt-wcas-overlay-mobile-on.dgwt-wcas-is-ios .dgwt-wcas-suggestions-wrapp {
    max-height: none !important;
    height: auto !important;
}
.dgwt-wcas-overlay-mobile-on.dgwt-wcas-is-ios body:not(.dgwt-wcas-theme-flatsome) > :not(.dgwt-wcas-overlay-mobile) {
    display: none;
}
body .dgwt-wcas-content-wrapp .rood,
body .dgwt-wcas-content-wrapp .zwave {
    display: none;
}
.dgwt-wcas-search-wrapp.dgwt-wcas-layout-icon {
    min-width: unset;
}
.dgwt-wcas-layout-icon-flexible .dgwt-wcas-search-form {
    opacity: 0;
}
.dgwt-wcas-layout-icon-flexible-loaded .dgwt-wcas-search-form {
    opacity: 1;
}
.dgwt-wcas-search-icon-arrow {
    display: none;
}
html:not(.dgwt-wcas-overlay-mobile-on) .dgwt-wcas-search-wrapp.dgwt-wcas-layout-icon .dgwt-wcas-search-form {
    opacity: 0;
    display: none;
    position: absolute;
    left: 0;
    top: calc(100% + 8px);
    min-width: 500px;
    z-index: 1000;
}

.dgwt-wcas-overlay-mobile .dgwt-wcas-search-icon,
.dgwt-wcas-overlay-mobile .dgwt-wcas-search-icon-arrow {
    display: none;
}

html:not(.dgwt-wcas-overlay-mobile-on) .dgwt-wcas-search-wrapp.dgwt-wcas-layout-icon.dgwt-wcas-layout-icon-open .dgwt-wcas-search-form {
    display: block;
    opacity: 1;
}

.dgwt-wcas-search-icon {
    position: absolute;
    top: 2px;
    left: 2px;
    height: calc(100% - 4px);
    width: 40px;
    cursor: pointer;
}

.dgwt-wcas-ico-magnifier-handler {
    margin-bottom: -0.2em;
    width: 100%;
}

.dgwt-wcas-search-wrapp.dgwt-wcas-layout-icon.dgwt-wcas-layout-icon-open .dgwt-wcas-search-icon {
    opacity: var(--opacity-1);
}

.dgwt-wcas-search-wrapp.dgwt-wcas-layout-icon.dgwt-wcas-layout-icon-open:not(.dgwt-wcas-has-submit) .dgwt-wcas-sf-wrapp .dgwt-wcas-ico-magnifier {
    display: none;
}

.dgwt-wcas-search-wrapp.dgwt-wcas-layout-icon.dgwt-wcas-layout-icon-open.dgwt-wcas-no-submit .dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input {
    padding-left: 15px;
}

.dgwt-wcas-layout-icon-open .dgwt-wcas-search-icon-arrow {
    display: block;
    position: absolute;
    top: calc(100% + 2px);
    left: 0;
    z-index: 5;
    width: 15px;
    height: 15px;
    background: var(--color-white);
    border: 1px solid #dddddd;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.dgwt-wcas-layout-icon-flexible:not(.dgwt-wcas-layout-icon) .dgwt-wcas-search-icon,
.dgwt-wcas-layout-icon-flexible:not(.dgwt-wcas-layout-icon) .dgwt-wcas-search-icon-arrow {
    display: none;
}

.dgwt-wcas-has-headings .dgwt-wcas-st > span.dgwt-wcas-st--direct-headline {
    display: none;
}


/* Search Results */
.search-form input[type="search"] {
    max-width: 100%;
    font-size: var(--font-size-copy);
    border: 1px solid;
    background-color: var(--color-white);
}

.search-form button {
    margin-top: 0 !important;
}

.search-form button svg {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);

    fill: var(--color-white);
    stroke-width: 0.55px;
    stroke: var(--color-white)
}

.search_result {
    padding-top: var(--spacing-6);
    margin-top: var(--spacing-6);
    border-top: 1px solid var(--color-grey);
}

.section > .section__search + .section__products {
    padding-top: var(--spacing-6);
}




/* ------------------------------ */
/* -------- Media Queries ------- */
/* ------------------------------ */

@media all and (min-width: 576px) {

    .search-form input[type="search"] {
        height: 48px;
        width: 360px;
        line-height: 48px;
        padding: 12px;
    }

    .search-form button {
        height: 48px;
        width: 60px;
        margin-top: 0 !important;
    }

    .search-form button svg {
        width: 22px;
        height: 22px;
    }

}


@media all and (min-width: 768px) {

    .dgwt-wcas-sf-wrapp {
        padding: 0 50px 0 35px;
    }

}


@media all and (min-width: 992px) {

    .shop_search__close {
        right: calc(var(--spacing-6) - 2px);
    }

    .dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input {
        font-size: calc(var(--font-size-3) + 1px);
    }

}


@media all and (min-width: 1400px) {

    .dgwt-wcas-suggestion, .dgwt-wcas-suggestion-nores {
        width: 1240px;
    }

    .dgwt-wcas-suggestion {
        padding: var(--spacing-4) 0;
    }

    .dgwt-wcas-suggestion-nores {
        padding: var(--spacing-6) 0;
    }

}


@media all and (max-width: 1399.98px) and (min-width: 992px) {

    .dgwt-wcas-suggestion, .dgwt-wcas-suggestion-nores {
        width: var(--max-width-container);
    }

    .dgwt-wcas-suggestion {
        padding: var(--spacing-4) var(--spacing-6-6);
    }

    .dgwt-wcas-suggestion-nores {
        padding: var(--spacing-6) var(--spacing-6-6);
    }

}


@media all and (max-width: 991.98px) and (min-width: 576px) {

    .shop_search__close {
        right: 18px
    }

}


@media all and (max-width: 991.98px) and (min-width: 768px) {

    .dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input {
        font-size: var(--font-size-4);
    }

}


@media all and (max-width: 991.98px) {

    .dgwt-wcas-suggestion {
        padding: 12px var(--spacing-6-5);
    }

    .dgwt-wcas-suggestion-nores {
        padding: var(--spacing-6) var(--spacing-6-5);
    }

}


@media all and (max-width: 767.98px) {

    .dgwt-wcas-sf-wrapp input[type="search"].dgwt-wcas-search-input {
        font-size: calc(var(--font-size-4) - 2px);
    }

    .dgwt-wcas-has-submit .dgwt-wcas-search-submit svg.search {
        top: 1px;
    }

}


@media all and (max-width: 767.98px) and (min-width: 576px) {

    .dgwt-wcas-sf-wrapp {
        padding: 0 40px 0 30px;
    }

}


@media all and (max-width: 575.98px) {

    .dgwt-wcas-sf-wrapp {
        padding: 0 30px 0 28px;
    }

    .shop_search__close {
        right: 10px
    }

    .dgwt-wcas-has-submit .dgwt-wcas-search-submit svg.search {
        width: 19px;
        height: 19px;
    }

    .shop_search__close svg {
        width: 18px;
        height: 18px;
    }

    .shop_search__close svg path {
        stroke-width: .65px;
    }

    .search-form input[type="search"] {
        height: 45px;
        width: calc(100% - 45px);
        line-height: 45px;
        padding: 12px;
    }

    .search-form button {
        height: 45px;
        width: 45px;
        margin-top: 0 !important;
    }

    .search-form button svg {
        width: 19px;
        height: 19px;
    }


}